karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré ...@nanthrax.net>
Subject Re: Karaf Test Framework
Date Thu, 23 Jan 2014 12:38:03 GMT
Hi,

If you use Pax Exam 3.4.0, you don't need to provide the Karaf version 
like this. You use directly the karafVersion configuration, and Pax Exam 
will automatically download and use the Karaf version.

I have a local branch where I updated the developers guide, I will push it.

Regards
JB

On 01/23/2014 11:39 AM, salmon_ok wrote:
> http://karaf.apache.org/manual/latest-2.3.x/developers-guide/writing-tests.html
>
> "Karaf Test Framework"
>      @Configuration
>      public Option[] config() {
>          return new Option[]{ karafDistributionConfiguration().frameworkUrl(
>
> maven().groupId("org.apache.karaf").artifactId("apache-karaf").type("zip").versionAsInProject())
>              .karafVersion("2.2.4").name("Apache Karaf")};
>      }
>
> I* want to add my bundle to karaf by program not features or other,just as:*
>
>      @Configuration
>      public Option[] config() {
>          return new Option[]{ karafDistributionConfiguration().frameworkUrl(
>
> maven().groupId("org.apache.karaf").artifactId("apache-karaf").type("zip").versionAsInProject())
>              .karafVersion("2.2.4").artifactId("apache-karaf").versi....
>             maven().groupId("XXX")..........
>         };
>      }
> *but it is not effetive .
>
> can you help me ?*
>
>
>
> --
> View this message in context: http://karaf.922171.n3.nabble.com/VOTE-Apache-Karaf-Cave-2-3-0-release-tp4030982p4031292.html
> Sent from the Karaf - Dev mailing list archive at Nabble.com.
>

-- 
Jean-Baptiste Onofré
jbonofre@apache.org
http://blog.nanthrax.net
Talend - http://www.talend.com

Mime
View raw message